{

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

                        Pascal Web Unit project (PWU)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 ------------------------------------------------------------------------------
  Lazy and Easy typing
 ------------------------------------------------------------------------------

   Some wrappers for PWU that make typing lazy and easy.

   These reduce a lot of tedious typing. You may prefer code clarity instead of
   shortcuts like this, but at least these shortcut functions are all easy to
   remember and understand, due to them being described in this unit, and
   due to the simplistic nature of them.

   You don't have to use these functions, you can stick to regular WebWriteLn
   style typing, these are just optional and fully compatible counterparts to make
   PWU programming easy and lazy.


   Author:  L505
   Website: http://z505.com



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
}








unit pwuLazy;

{$mode objfpc}{$H+}


{------------------------------------------------------------------------------}
interface
{------------------------------------------------------------------------------}

uses
  pwu;

  procedure W(input: string);
  procedure WL(input: string);
  procedure Wb(input: string);
  procedure WLb(input: string);
  procedure Wp(input: string);
  procedure WLp(input: string);


{TODO:

// write formatted output (macro variables)
  procedure WLf(input: string);
  procedure Wf(input: string);

// template out
  procedure t(input: string);

// filtered template out
  procedure tf(input: string);

}

{------------------------------------------------------------------------------}
implementation
{------------------------------------------------------------------------------}

// Short for "Write" (WebWrite)
// write normal output with no linebreak.
procedure W(input: string);
begin
  WebWrite(input);
end;


// Short for WriteLn (WebWriteLn)
// write normal output with a linebreak.
procedure WL(input: string);
begin
  WebWriteLn(input);
end;


// Short for "Write with an html break appended"
// write a line with no linebreak, but an html break
procedure Wb(input: string);
begin
  WebWrite(input);
  WebWrite('<br />');
end;


// Short for "WriteLn with an html break and line break appended"
// write a line with a #13#10 linebreak, and an html break
procedure WLb(input: string);
begin
  WebWrite(input);
  WebWrite('<br />');
  WebWrite(#13#10);
end;


// Short for "Write with an html paragraph break appended"
// write a line with no #13#10 linebreak, but an html break
procedure Wp(input: string);
begin
  WebWrite(input);
  WebWrite('<p />');
end;


// Short for "WriteLn with an html paragrah break on its own line appended"
// Write a line with a linebreak, and html paragraph break on it's own line
// Shortened for lazy typing
procedure WLp(input: string);
begin
  WebWrite(input);
  WebWrite(#13#10);
  WebWrite('<p />');
  WebWrite(#13#10);
end;



end.

